Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PolicyListElement

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.PolicyListElement

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PolicyListElementInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TiePolicyListElement

    public class PolicyListElement

extends TieSystemObject
implements PolicyListElementInterface

A `PolicyListElement` represents an element of a PolicyList, which defines a sequence of processing for an iFS operation.

See Also:
  `PolicyList`, `Policy`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `FILTERS_ATTRIBUTE` The filters which, if set by a previous policy with a FILTER SUBSEQUENT outcome, prevent execution of this policy.
`static java.lang.String` | `OPERATION_ATTRIBUTE` The operation to which this PolicyListElement applies.
`static java.lang.String` | `PARENTPOLICYLIST_ATTRIBUTE` The PolicyList to which this PolicyListElement belongs.
`static java.lang.String` | `POLICY_ATTRIBUTE` The Policy referenced by this PolicyListElement.
`static java.lang.String` | `SORTSEQUENCE_ATTRIBUTE` The sort sequence of this PolicyListElement.
`static java.lang.String` | `SUBOPERATION_ATTRIBUTE` The sub-operation of this PolicyListElement.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `PolicyListElement(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a PolicyListElement object - standard variant.

Method Summary
`protected static PolicyListElement` | `constructPolicyListElement(LibrarySession sess, S_LibraryObjectData data)` Construct PolicyListElement from a S_LibraryObjectData
`protected static PolicyListElement[]` | `constructPolicyListElementArray(LibrarySession sess, java.lang.Long[] ids)` Construct a PolicyListElement array from an array of object IDs.
`protected static java.util.Vector` | `constructPolicyListElementVector(LibrarySession sess, java.util.Vector vector)` Construct a Vector of PolicyListElement from a Vector of S_LibraryObjectData.
`java.lang.String[]` | `getFilters()` Gets the filters which, if set by a previous policy with a FILTER SUBSEQUENT outcome, prevent execution of this policy.
`java.lang.String` | `getOperation()` Gets the operation to which this PolicyListElement applies.
`PolicyList` | `getParentPolicyList()` Gets the PolicyList containing this PolicyListElement.
`Policy` | `getPolicy()` Gets the Policy referenced by this PolicyListElement.
`long` | `getSortSequence()` Gets the sort sequence of this PolicyListElement.
`java.lang.String` | `getSubOperation()` Gets the sub-operation of this PolicyListElement.
`void` | `setFilters(java.lang.String[] filters)` Sets the filters which, if set by a previous policy with a FILTER SUBSEQUENT outcome, prevent execution of this policy.
`void` | `setOperation(java.lang.String operation)` Sets the operation to which this PolicyListElement applies.
`void` | `setPolicy(Policy policy)` Sets the Policy referenced by this PolicyListElement.
`void` | `setSortSequence(long sortSequence)` Sets the sort sequence of this PolicyListElement.
`void` | `setSubOperation(java.lang.String subOperation)` Sets the sub-operation of this PolicyListElement.
`protected static PolicyListElement[]` | `vectorToPolicyListElementArray(java.util.Vector vector)` Convert a Vector of PolicyListElements to an array of PolicyListElements.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `PolicyListElement`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### PARENTPOLICYLIST_ATTRIBUTE

    public static final java.lang.String PARENTPOLICYLIST_ATTRIBUTE

  Description copied from class: `PolicyListElement`
  The PolicyList to which this PolicyListElement belongs.

  See Also:
    Constant Field Values
  (Published)

### OPERATION_ATTRIBUTE

    public static final java.lang.String OPERATION_ATTRIBUTE

  Description copied from class: `PolicyListElement`
  The operation to which this PolicyListElement applies.

  See Also:
    Constant Field Values
  (Published)

### SUBOPERATION_ATTRIBUTE

    public static final java.lang.String SUBOPERATION_ATTRIBUTE

  Description copied from class: `PolicyListElement`
  The sub-operation of this PolicyListElement.

  See Also:
    Constant Field Values
  (Published)

### SORTSEQUENCE_ATTRIBUTE

    public static final java.lang.String SORTSEQUENCE_ATTRIBUTE

  Description copied from class: `PolicyListElement`
  The sort sequence of this PolicyListElement.

  See Also:
    Constant Field Values
  (Published)

### FILTERS_ATTRIBUTE

    public static final java.lang.String FILTERS_ATTRIBUTE

  Description copied from class: `PolicyListElement`
  The filters which, if set by a previous policy with a FILTER SUBSEQUENT outcome, prevent execution of this policy.

  See Also:
    Constant Field Values
  (Published)

### POLICY_ATTRIBUTE

    public static final java.lang.String POLICY_ATTRIBUTE

  Description copied from class: `PolicyListElement`
  The Policy referenced by this PolicyListElement.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### PolicyListElement

    protected PolicyListElement(LibrarySession session,
                                java.lang.Long id,
                                java.lang.Long classId,
                                S_LibraryObjectData data)
                         throws IfsException

  Construct a PolicyListElement object - standard variant.

  Parameters:
    `session` - current Session
    `id` - object ID
    `classId` - the class ID
    `data` - attributes
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### getParentPolicyList

    public PolicyList getParentPolicyList()
                                   throws IfsException

  Description copied from class: `PolicyListElement`
  Gets the PolicyList containing this PolicyListElement.

  Returns:
    the PolicyList
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getOperation

    public java.lang.String getOperation()
                                  throws IfsException

  Description copied from class: `PolicyListElement`
  Gets the operation to which this PolicyListElement applies.

  Returns:
    the operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setOperation

    public void setOperation(java.lang.String operation)
                      throws IfsException

  Description copied from class: `PolicyListElement`
  Sets the operation to which this PolicyListElement applies.

  Parameters:
    `operation` - the operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSubOperation

    public java.lang.String getSubOperation()
                                     throws IfsException

  Description copied from class: `PolicyListElement`
  Gets the sub-operation of this PolicyListElement.

  The sub-operation value is for informational purposes only; it is not used in performing an operation.

  Returns:
    the sub-operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSubOperation

    public void setSubOperation(java.lang.String subOperation)
                         throws IfsException

  Description copied from class: `PolicyListElement`
  Sets the sub-operation of this PolicyListElement.

  The sub-operation value is for informational purposes only; it is not used in performing an operation.

  Parameters:
    `subOperation` - the sub-operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSortSequence

    public long getSortSequence()
                         throws IfsException

  Description copied from class: `PolicyListElement`
  Gets the sort sequence of this PolicyListElement.

  The sort sequence determines the order in which the set of Policies applicable to a particular operation are executed.

  Returns:
    the sort sequence
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSortSequence

    public void setSortSequence(long sortSequence)
                         throws IfsException

  Description copied from class: `PolicyListElement`
  Sets the sort sequence of this PolicyListElement.

  The sort sequence determines the order in which the set of Policies applicable to a particular operation are executed.

  Parameters:
    `sortSequence` - the sort sequence
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getFilters

    public java.lang.String[] getFilters()
                                  throws IfsException

  Description copied from class: `PolicyListElement`
  Gets the filters which, if set by a previous policy with a FILTER SUBSEQUENT outcome, prevent execution of this policy.

  "Filters" are String values which allow for conditional policy execution.

  As the set of Policies applicable to a particular operation are executed, a set of filters are accumulated. This set of filters is empty prior to execution of the first Policy.

  A Policy is executed only if no element of the INPUTFILTERS attribute of the corresponding PolicyListElement contains a value in accumulated filter set.

  Returns:
    the input filters
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setFilters

    public void setFilters(java.lang.String[] filters)
                    throws IfsException

  Description copied from class: `PolicyListElement`
  Sets the filters which, if set by a previous policy with a FILTER SUBSEQUENT outcome, prevent execution of this policy.

  "Filters" are String values which allow for conditional policy execution.

  As the set of Policies applicable to a particular operation are executed, a set of filters are accumulated. This set of filters is empty prior to execution of the first Policy. By specifying a FILTER SUBSEQUENT outcome, a PolicyAction adds the filters specified by the OUTPUTFILTERS attribute of the corresponding PolicyListElement to this set.

  A Policy is executed only if no element of the INPUTFILTERS attribute of the corresponding PolicyListElement contains a value in accumulated filter set.

  Parameters:
    `filters` - the input filters
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicy

    public Policy getPolicy()
                     throws IfsException

  Description copied from class: `PolicyListElement`
  Gets the Policy referenced by this PolicyListElement.

  Returns:
    the Policy
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPolicy

    public void setPolicy(Policy policy)
                   throws IfsException

  Description copied from class: `PolicyListElement`
  Sets the Policy referenced by this PolicyListElement.

  Parameters:
    `policy` - the Policy
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructPolicyListElementVector

    protected static java.util.Vector constructPolicyListElementVector(LibrarySession sess,
                                                                       java.util.Vector vector)
                                                                throws IfsException

  Description copied from class: `PolicyListElement`
  Construct a Vector of PolicyListElement from a Vector of S_LibraryObjectData.

  Parameters:
    `sess` - the Session
    `vector` - a Vector of S_LibraryObjectData
  Returns:
    the Vector of PolicyListElement objects.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructPolicyListElement

    protected static PolicyListElement constructPolicyListElement(LibrarySession sess,
                                                                  S_LibraryObjectData data)
                                                           throws IfsException

  Description copied from class: `PolicyListElement`
  Construct PolicyListElement from a S_LibraryObjectData

  Parameters:
    `sess` - the Session
    `data` - the S_LibraryObejctData
  Returns:
    the PolicyListElement object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructPolicyListElementArray

    protected static PolicyListElement[] constructPolicyListElementArray(LibrarySession sess,
                                                                         java.lang.Long[] ids)
                                                                  throws IfsException

  Description copied from class: `PolicyListElement`
  Construct a PolicyListElement array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a PolicyListElement object.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of PolicyListElement's
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### vectorToPolicyListElementArray

    protected static PolicyListElement[] vectorToPolicyListElementArray(java.util.Vector vector)

  Description copied from class: `PolicyListElement`
  Convert a Vector of PolicyListElements to an array of PolicyListElements.

  Parameters:
    `vector` - A Vector containing PolicyListElements.
  Returns:
    an array of PolicyListElements.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD